# PCFactorSetZeroPivot

Sets the size at which smaller pivots are declared to be zero

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCFactorSetZeroPivot(PC pc,PetscReal zero)

Collective on PC

### Input Parameters

| pc | - the preconditioner context
| zero | - all pivots smaller than this will be considered zero

### Options Database Key

-pc_factor_zeropivot <zero> -Sets tolerance for what is considered a zero pivot

### Keywords

PC, set, factorization, direct, fill

### See Also

PCFactorSetShiftNonzero(), PCFactorSetShiftPd()

Level:intermediate
Location: src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages